Bug 8910 - compile failure pycairo on FreeBSD4
Summary: compile failure pycairo on FreeBSD4
Status: RESOLVED FIXED
Alias: None
Product: pycairo
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86 (IA32) FreeBSD
: high normal
Assignee: Steve Chaplin
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-06 01:50 UTC by Akihiko HAYASHI
Modified: 2006-12-20 20:47 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Akihiko HAYASHI 2006-11-06 01:50:50 UTC
compile failure at ports/graphics/py-cairo on FreeBSD4.

pycairo sources use C99 style, not ANSI-C.
and pycairo's configure checks stdint.h, but source 'cairo/pycairo-surface.c'
#include stdint.h unconditionaly.
then, pycairo can be builded on gcc3/FreeBSD6, but cannot on gcc2.9/FreeBSD4.

patch is here (FreeBSD SendPR-system),
http://www.freebsd.org/cgi/query-pr.cgi?pr=104564&getpatch=1
Comment 1 Steve Chaplin 2006-12-20 20:47:12 UTC
Applied the patch to CVS. stdint.h is no longer used so I removed it.


bug/show.html.tmpl processed on Jul 28, 2016 at 14:30:41.
(provided by the Example extension).